<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package construc
 */

$getalignment = get_theme_mod( 'article_alignment', 'center' );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'construc-standard-post' ); ?>>
	<div class="construc-standard-post__entry-content text-<?php echo esc_attr( $getalignment );?>">
		<div class="construc-standard-post__categories">
			<?php construc_categories(); ?>
		</div>
		<div class="construc-standard-post__post-title">
			<?php
			$get_blog_layout = get_theme_mod('blog_layout');
			 ?>
			<a href="<?php the_permalink(); ?>"><h3><?php the_title(); ?></h3></a>
		</div>
		<div class="construc-standard-post__thumbnail post-header">
			<?php the_post_thumbnail( 'construc-thumbnail-medium' );?> 
			<div class="construc-standard-post__posted-date<?php echo esc_attr( $postdateclass );?>">
				<?php construc_posted_on(); ?>
			</div>
		</div>
		<div class="construc-standard-post__blog-meta">
			<?php
			construc_posted_by();
			construc_comment_popuplink();
			?>
		</div>
		<div class="construc-standard-post__excerpt">
			<?php
			$getexerpt = get_theme_mod( 'excerpt_length', 200 );
			echo esc_html(construc_get_excerpt($getexerpt));
			?>
		</div>
		<div class="construc-standard-post__readmore">
			<?php
			$get_read_more_text = get_theme_mod( 'readmore_text', __( 'Read More', 'construc' ) );
			 ?>
			<a href="<?php the_permalink(); ?>"><?php echo esc_html($get_read_more_text); ?></a>
		</div>
		
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
