<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package construc
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'construc-standard-post' ); ?>>
	<div class="construc-standard-post__entry-content">
		<?php if (has_post_thumbnail()): ?>
		<div class="construc-standard-post__thumbnail post-header mb-4">
			<?php the_post_thumbnail( 'construc-thumbnail-large' );?>
		</div>
		<?php endif;?>
		<div class="construc-standard-post__post-title">
			<a href="<?php the_permalink(); ?>"><h2 class="mb-3"><?php the_title(); ?></h2></a>
		</div>
		<div class="construc-standard-post__blog-meta">
			<div class="posted-by">
				<?php construc_posted_by(true);?>
			</div>
			<div class="posted-on">
				<span class="fa fa-clock-o"></span>
				<?php construc_posted_on(); ?>
			</div>
			<div class="post-categories">
				<span class="fa fa-tags"></span>
				<?php construc_categories(); ?>
			</div>
		</div>
		<div class="construc-standard-post__excerpt">
			<?php the_excerpt();?>
		</div>
		<div class="construc-standard-post__readmore">
			<a href="<?php the_permalink(); ?>"><?php esc_html_e( 'Read More', 'construc' ) ?></a>
		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
